﻿@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using System.Web.UI.WebControls;
@using System.Web.Util
@{Layout = "~/Views/Shared/_Layout.cshtml";}
@*DISINI PROSES MANGGIL EVENT*@
@Html.Partial("_PartialScriptPartMaster")
<div class="content">
    <table width="100%">
        <tr>
            <td>
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Part Number";
                }).GetHtml()
            </td>
            <td>
                @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "PART_NO";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 120;
                }).GetHtml()
            </td>
            <td style="width: 10px"></td>
            <td>
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Part Name";
                }).GetHtml()
            </td>
            <td>
                @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "PART_NAME";
                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        settings.Width = 200;
                    }
                ).GetHtml()
            </td>
            <td style="width: 10px"></td>
            <td>
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Franchise Code";
                }).GetHtml()
            </td>
            <td>
                @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "FRANCHISE_CODE";
                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        settings.Width = 100;

                    }
                ).GetHtml()
            </td>
            <td style="width: 370px"></td>
            <td align="right">
                @Html.DevExpress().Button(
                    edtSetting =>
                    {
                        edtSetting.Name = "cmdSearch";
                        edtSetting.Text = "Search";
                        edtSetting.Width = 80;
                        edtSetting.ClientSideEvents.Click = "OnSearch";
                        edtSetting.Style.Add("display", "inline-table");
                        edtSetting.UseSubmitBehavior = true;
                        edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartMaster", "FTR-SPEX-128-01", "SEARCH");
                    }
                ).GetHtml()
            </td>
            <td align="right">
                @Html.DevExpress().Button(
                edtSetting =>
                {
                    edtSetting.Name = "cmdClear";
                    edtSetting.Width = 80;
                    edtSetting.Text = "Clear";
                    edtSetting.ClientSideEvents.Click = "OnClear";
                    edtSetting.Style.Add("display", "inline-table");
                    edtSetting.UseSubmitBehavior = true;
                    edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartMaster", "FTR-SPEX-128-01", "CLEAR");
                }
            ).GetHtml()
            </td>
        </tr>
        <tr>
            <td colspan="17"><hr /></td>
        </tr>
    </table>
    <table width="100%">
        <tr>
            <td>
                @Html.DevExpress().Button(
        edtSetting =>
        {
            edtSetting.Name = "cmdDownload";
            edtSetting.Width = 80;
            edtSetting.Text = "Download";
            edtSetting.ClientSideEvents.Click = "DownloadData";
            edtSetting.Style.Add("display", "inline-table");
            edtSetting.UseSubmitBehavior = true;
            edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartMaster", "FTR-SPEX-128-03", "DOWNLOAD");

        }
        ).GetHtml()
            </td>
        </tr>
    </table>
</div>
<div class="content" style="min-height: 400px">
    @Html.Partial("GridPartMaster")
</div>
